Migrating from PowerBuilder 6.0 to 8.0

Hello,

I've ran into this problem before, but I cannot remember what it was I did. 
I am trying to migrate an application created in PowerBuilder 6.0 to 
PowerBuilder 8.0. About half way through the migration I get an error that 
reads:

 "C0001  Illegal Data Type: s_currentopenwindow" 

I remember it had something to do with the global variables, but again, I 
cannot remember what I did last time. Any help would be greatly 
appreciated. Thanks.

Chip Evans
Star Systems Services, Inc.
0
Chip_Evans
3/19/2002 10:04:54 PM
sybase.powerbuilder.general 62418 articles. 17 followers. Follow

1 Replies
639 Views

Similar Articles

[PageSpeed] 12

In the change from PB6 to PB7, public structures became a no-no. You can,
however, create an autoinstantiated nvo of the same name. Then just create
public instance variables on the nvo with the same names as the members of
the structure. It will let you migrate without a code change. However, you
should still take a look at how they were used and possibly do some minor
redesigning...

HTH



<Chip_Evans> wrote in message
news:3F1CDF6754F4CCED00794C4785256B81.00794C6185256B81@webforums...
> Hello,
>
> I've ran into this problem before, but I cannot remember what it was I
did.
> I am trying to migrate an application created in PowerBuilder 6.0 to
> PowerBuilder 8.0. About half way through the migration I get an error that
> reads:
>
>  "C0001  Illegal Data Type: s_currentopenwindow"
>
> I remember it had something to do with the global variables, but again, I
> cannot remember what I did last time. Any help would be greatly
> appreciated. Thanks.
>
> Chip Evans
> Star Systems Services, Inc.


0
Bug
3/20/2002 4:31:38 PM
Reply:

Similar Artilces:

Migrating from PowerBuilder 6.5 to PowerBuilder 8.0
We are doing a feasibility study of migrating a PFC based PowerBuilder Application from v6.5 to v8.0. This application is heavily PFC depended and also includes many custom based core layers. If anybody has done (PFC based) powerbuilder migration prior kindly suggest the best approach on the following. 1) How to successfully migrate from PowerBuilder 6.5/PFC - PowerBuilder 8.0/PFC. 2) How to fix/resolve post migration errors etc... . Any help or suggestion will be appreciated. Thanks and Regards Vamsi ---== Posted via the PFCGuide Web Newsreader ==--- http://www.pfcguide....

Powerbuilder 9.0 vs. Powerbuilder 8.0
What is the difference in Powerbilder 9.0 and 8.0? I would like to point out that the Appeon newsgroup is monitored by Sybase and Appeon engineering staff who are very knowledgeable about Appeon issues. Question that are purely PowerBuilder-related are best answered by the staff and users of the PowerBuilder newsgroup: sybase.public.powerbuilder.XXXX. Please post to the appropriate newsgroup so you receive the help you desire. Thanks, Julie Jiang Appeon Corporation <dburris@onesolution.com> wrote in message news:40589011.2717.846930886@sybase.com... > What is the diffe...

Powerbuilder 9.0 Migration from powerbuilder 7.0.3 problem
Hi all, i was trying an migrate an powerbuilder 7.0.3 application to powerbuilder 9.0(PFC BASED APPLICATION (PFC objects version PB 6.5) ) during migration i am getting this error. tcmborrower.pbl(w_cursor_check).w_cursor_check.open.2: Error C0163: The definition of referenced global variable sqlca was improperly compiled in object trcomps Did anybody faced this kind of error? Thx Ashok JPMORGAN ---== Posted via the PFCGuide Web Newsreader ==--- http://www.pfcguide.com/_newsgroups/group_list.asp First error message which i got during the migration is : tcmappl.pb...

Migration to PowerBuilder 6.5 from Powerbuilder 4.0
Hi all, I'm going to migrate from Powerbuilder 4.0 to Powerbuilder 6.5 soon. I would like to know if I have to migrate previously to Powerbuilder 5.0, or if it is possible to migrate directly from Powerbuilder 4.0 to 6.5. In the last case I would like to know if I can have any problems during the upgrade process. Thanks in advance... On Wed, 17 Feb 1999 13:46:07 +0100, in powersoft.public.powerbuilder.general "Jorge Salamanca" <jsalamanca@fintec.es> wrote: >Hi all, > >I'm going to migrate from Powerbuilder 4.0 to Powerbuilder 6.5 soo...

powerbuilder 6.0 and asa 6.0
I upgraded our database to asa 6.0. I created an odbc connection on a client using tcpip, click on the test connection and it works. I open powerbuilder 6.0 and get a communication error when trying to connect to the db profile. Is anyone else having this problem?? Did I forget something when installing this new asa package? There both running on windows 95 machines(I even tried the sample server database and it doen't seem to work for me either) Thanks, Amy Brand ABrand@swank.com My PB 6.5 to ASA 6 connections work OK. Have you duplicated the Sybase SQL Anywhere sec...

8.0.0 to 8.0.2 migration
Hi, We are planning to migrate one application from 8.0.0 to 8.0.2. So, can we install two different versions of SQL Anywhere Studio i.e. 8.0.0 and 8.0.2 on the same machine? If not, then what are the migration issues, if any. Do I need to make changes in my existing code which interact with database? Further I am using SQL Remote for data replication, will this component be affected by the migration. Thanks in advance. Pankaj Gupta Please do not cross post... -- ________________________________________________ Joshua Savill , SYBASE iAnywhere Solutions - Technical S...

Upgrade to ASA 7.0.0.313 and PowerBuilder 6.0
Hi ya all, I had a quick question. We recently upgraded from Sybase SQL ANYWHERE 5.5 TO ASA 7.0.0.313. When I run a script from PowerBuilder 6.0 and try to pass date arguments to the datawindow object, the date arguments get corrupted, i.e. they are no longer date arguments when the dwo receives them. They appear as funny looking characters that don't make any sense. In my dwo I am using various subqueries. One thing that is bizarre is that if I take all subqueries out of my dwo, the date arguments passed to the datawindow object work fine. It is only when I use a subquery that the ...

PowerBuilder 9.0 and PowerBuilder 10.0
Hello NG ,,, I have a strange problem , installed both versions of PowerBuilder on the same machine having Windows XP. under Program files\Sybase9 - > PB9.0 was installed . under Program files\Sybase10- > PB10.0 was installed, I was working on XML workspace in PB9.0 where in the library list PBDOM90.PBD was included. By mistake , I opened the same workspace in PB10.0 and the application was migrated completed. Later coming back to PB9.0 and opening the same workspace , found that , in the system tree PDB files has zero object, It is not showing anything and the appl...

Migrating a PFC based powerbuilder (Ver 8.0) Version application to PB10.0
Hi All, I have a PB application in Version 8.0 based on PFC. We are in the process of migrating that to PB10.0. Can u please tell me where to get the latest PFC libraries for the migration and how to incorporate in the migration. When I use the PFC from Ver 8.0, I am getting the followin errors during EXE creation. PFEMAIN.PBL(pfc_n_cst_dwsrv_dropdownsearch).3: Warning C0190: Instance variables of local structure type ('os_columns') will be implicitly private in the next release. PFEMAIN.PBL(pfc_n_cst_dwsrv_querymode).5: Warning C0190: Instance variables o...

Powerbuilder 8.0
Hello, Is there a link out there somewhere which shows the benefits of converting to PB8 from PB6.5.1 if you aren't using any of the EAServer portions of PB, etc.? Just pure Powerbuilder 8.0.1. Would like to know if PB8 is supposed to be faster across all Windows OS (95, 98 1st/2nd edition, 2000 Pro/ME, XP) and/or if it has been "approved" to work on XP, 2000, where 6.5.1 is not, etc. Thanks, Mike 1) PB8 is supported, PB 6.5.1 is EOL. 2) PB8 IDE quite different (I think better) 3) Faster? You will need to do a benchmark in *YOUR* environment 4) W2K is suppor...

ASA and PowerBuilder 6.0, 6.5, or 7.0
I am currently running PB 5.0 with an Oracle 7.3 database. However, there is a great demand for our remote users to gain access to the app. Therefore, I was looking into using ASA to deploy to our remote users. The problem is that stored procedures are not supported with the run-time version of the database engine that gets deployed with the deployment kit. My question is: Does PB 6.0, 6.5, or 7.0 and/or deployment kit allow the run-time engine to support stored procedures. If not, what are some alternatives? Any guidance will be greatly appreciated. Thanks. >My ...

PowerDesigner 6.0.0 and PowerBuilder 6 Extended Attributes
Hi everybody, I'm using PD6.0.0 to construct database model.I found it problems to generate PB6 extend attributes. When I have generated the physical model,I select <Dictionary> <Extended Attributes> <Import Attirbutes...> and select (powerbld.exa). Then connect to database which was now Oracle7.3 . And select <client><PowerBuilder Attributes Generation...>. But I get an ODBC Error : String length exceeds column length Parameter #6 Then a PD error: An error has occured while inserting data in Table '"SYSTEM".pbcattbl'. T...

Migration from SQLAnywhere 8.0.0 to 8.0.2
Hi, We are planning to migrate one application from 8.0.0 to 8.0.2 which uses SQL Remote for replication. So, can we install two different versions of SQL Anywhere Studio i.e. 8.0.0 and 8.0.2 on the same machine? If not, then what are the migration issues, if any. Do I need to make changes in my existing code which interact with database? What is the overall effect of migration on SQL Remote stuff? Pointers most welcome. Thanks in advance. Pankaj Gupta Yes you can install 8.0.0 and 8.0.2 on the same machine. You do have to explicitly specify path information for the s...

6.0 to 8.0 Migration
So what is the easiest way to migrate from PB 6.0 to PB 8.0? What do I have to do with my class libraries? This forum is reserved for suggestions/comments/ideas concerning future enhancements to PowerBuilder. Please repost your question in the powerbuilder.general forum. -- Paul Horan[TeamSybase] VCI Springfield, MA www.vcisolutions.com <John_Koprowski> wrote in message news:97F59D5E8A24F278006F4CC185256BE5.006F4CD185256BE5@webforums... > So what is the easiest way to migrate from PB 6.0 to PB 8.0? What do I > have to do with my class libraries? ...